// El codigo para el 0 es compartido.
import java.util.Scanner;

public class Examen01
{
  public static void main(String args[])
  {
    Scanner teclado=new Scanner (System.in);
    
    System.out.println("LED number display");
    
    
    System.out.println("Numero a mostrar [0=Salir]:");
    teclado.skip("[\n\r\t ]*");
    String  numero=teclado.nextLine();
    
    
    while (!(numero.equalsIgnoreCase("0")))
    {    
    
    System.out.println("Factor de aumento");
    int aumento=teclado.nextInt();
    
    
    for(int i=0;i<numero.length();i++)
    {
      if (numero.charAt(i)=='1')
      {
        for ( int fila = 1; fila <= 5*aumento; ++fila )
        {
          for ( int columna = 1; columna <= aumento; ++columna )
            System.out.print("#");
          
          System.out.println();
        }
        System.out.println("");
      }
      
      else if(numero.charAt(i)=='0')
      {
        for(int fila = 0; fila < 5*aumento; fila++)
        {
          for(int columna = 0; columna < 3*aumento; columna++)
          {
            if(fila == 0 || fila == ( 5*aumento- 1) || fila==(5*aumento-aumento) || columna == 0 || columna ==3*aumento -1)
            {
              
              System.out.print("#");
            }
            else{
              
              System.out.print(" ");
            }
          }
          
          System.out.println("");
        }
        System.out.println("");
      }
    
    else if(numero.charAt(i)=='2')
    {
      for ( int fila = 1; fila <= aumento; ++fila )
        {
          for ( int columna = 1; columna <= 3*aumento; ++columna )
           
            System.out.print("#");
          
          System.out.println();
        }  
      for ( int fila = (aumento+1); fila <= 2*aumento; ++fila )
        {
          for ( int columna = 1; columna <= 2*aumento; ++columna )
            System.out.print(" ");
          for ( int columna = (2*aumento+1); columna <= 3*aumento; ++columna )
            System.out.print("#");
          
          System.out.println();
        }
      
      for ( int fila = (2*aumento+1); fila <= 3*aumento; ++fila )
        {
          for ( int columna = 1; columna <= 3*aumento; ++columna )
           
            System.out.print("#");
          
          System.out.println();
        }
      for ( int fila = (3*aumento+1); fila <= 4*aumento; ++fila )
        {
          for ( int columna = 1; columna <= aumento; ++columna )
            System.out.print("#");
          for ( int columna = (aumento+1); columna <= 3*aumento; ++columna )
            System.out.print(" ");
          
          System.out.println();
        } 
    }
    for ( int fila = (4*aumento+1); fila <= 5*aumento; ++fila )
        {
          for ( int columna = 1; columna <= 3*aumento; ++columna )
           
            System.out.print("#");
          
          System.out.println();
        }
  }
  System.out.println();
}
}
}